<?php

/**
* MyBB Plugin: Custom Copyright
* -------------------------------------------------------------------------------------------
* http://community.mybboard.net
* -------------------------------------------------------------------------------------------
* Author : Babjusi 
* http://www.forumsecurity.eu
**/
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
$plugins->add_hook("global_start", "custom_copyright");


function custom_copyright_info()
{
	return array(
		"name"			=> "Özel Telif Hakkı",
		"description"	=> "Kendi özel telif hakkı eklemenize izin verir!",
		"website"		=> "http://www.forumsecurity.eu/",
		"version"		=> "1.0",
		"author"		=> "babjusi Türkçe:Bomfile",
		"authorsite"	=> "http://www.forumsecurity.eu",
		"compatibility"  => "14*",
		'guid'        => ''
	);
}
function custom_copyright_activate()
{
	global $db;
	
$settings_group = array(
		'name' => 'customcopyright',
		'title' => 'Özel Telif Hakkı Ayarlar',
		'description' => 'Özel telif hakkı ayarlarını buradan yapabilirsiniz.',
		'disporder' => '1',
		'isdefault' => 'no'
	);
	$db->insert_query('settinggroups',$settings_group);
	$gid = $db->insert_id();
	
	$setting = array(
		'name' => 'enablecustomcopyright',
		'title' => 'Özel Telif Hakkı Etkinleştir?',
		'description' => 'Eklenti aktifleştirilsin mi?',
		'optionscode' => 'yesno',
		'value' => '0',
		'disporder' => '2',
		'gid' => intval($gid)
	);
	$db->insert_query('settings',$setting);
	
	$custom_copyright_message = array(
		"name" => "custom_copyright_message",
		"title" => "Özel Telif Hakkı Yazı",
		"description" => "Kendi özel telif metnini aşağıya giriniz.",
		"optionscode" => "textarea",
		"value" => "",
		"disporder" => "3",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $custom_copyright_message);	
	
	rebuild_settings();
	
require MYBB_ROOT."/inc/adminfunctions_templates.php";
find_replace_templatesets("footer", '#'.preg_quote('<!-- End powered by -->').'#', '<!-- End powered by -->{$customcopyright}');

}

function custom_copyright_deactivate()
{
	global $db;
	
$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='customcopyright'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='enablecustomcopyright'");	
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='custom_copyright_message'");

rebuild_settings();	
	
include MYBB_ROOT."/inc/adminfunctions_templates.php";
find_replace_templatesets("footer", '#'.preg_quote('{$customcopyright}').'#', '', 0);

}
	
function custom_copyright()	
{
global $mybb, $footer, $customcopyright, $settings;	


	
if($mybb->settings['enablecustomcopyright'] == 1)
{
$customcopyright = "{$mybb->settings['custom_copyright_message']}";
}
}
	

?>